org.gcube.dataanalysis.dataminer.poolmanager.ansiblebridge.template

## Class CustomDependencyPackage

- java.lang.Object
- - org.gcube.dataanalysis.dataminer.poolmanager.ansiblebridge.template.DependencyPackage
  - - org.gcube.dataanalysis.dataminer.poolmanager.ansiblebridge.template.CustomDependencyPackage

    public class CustomDependencyPackage
    extends DependencyPackage

### Constructor Summary

Constructors
Constructor and Description
`CustomDependencyPackage(Dependency d)`

### Method Summary

All Methods Instance Methods Concrete Methods
`Collection<Role>` `getRoles(CustomRoleManager crm)`

### Methods inherited from class org.gcube.dataanalysis.dataminer.poolmanager.ansiblebridge.template.DependencyPackage

`getDependency, getDictionary, getRoles`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CustomDependencyPackage

    public CustomDependencyPackage(Dependency d)

### Method Detail

#### getRoles

    public Collection<Role> getRoles(CustomRoleManager crm)